Documents (SAPI)Send Peppol invoice

Send Peppol invoice

Technické prijatie XML eFaktúry. HTTP 202 nepotvrdzuje doručenie príjemcovi. Idempotency-Key zachovajte pri retry rovnakého dokumentu a rovnakých metadát.

curl -X POST "https://einvoice-v1-ynyiur6quq-ey.a.run.app/v1/sapi/document/send" \
  -H "Content-Type: application/json" \
  -H "X-Peppol-Participant-Id: example_string" \
  -H "Idempotency-Key: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "metadata": {
    "documentId": "example_string",
    "documentTypeId": "example_string",
    "processId": "example_string",
    "senderParticipantId": "example_string",
    "receiverParticipantId": "example_string",
    "creationDateTime": "2024-12-25T10:00:00Z"
  },
  "payload": "example_string",
  "payloadFormat": "XML",
  "payloadEncoding": "example_string",
  "checksum": "example_string"
}'
{
  "providerDocumentId": "example_string",
  "status": "ACCEPTED",
  "receivedAt": "2024-12-25T10:00:00Z",
  "timestamp": "2024-12-25T10:00:00Z"
}
POST
/v1/sapi/document/send
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
header
X-Peppol-Participant-Idstring
Required

Firma oprávnená na operáciu; pri odoslaní sa zhoduje s metadata.senderParticipantId.

header
Idempotency-Keystring
Required

Stabilný kľúč logického odoslania, odporúčané UUID v4.

payloadstring
Required

XML ako JSON reťazec, nie base64.

checksumstring

Voliteľný SHA-256 kontrolný súčet payloadu.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Headers

X-Peppol-Participant-Idstring
Required

Firma oprávnená na operáciu; pri odoslaní sa zhoduje s metadata.senderParticipantId.

Idempotency-Keystring
Required

Stabilný kľúč logického odoslania, odporúčané UUID v4.

Body

application/json
metadataobject
Required
payloadstring
Required

XML ako JSON reťazec, nie base64.

payloadFormatstring
Required
Allowed values:XML
checksumstring

Voliteľný SHA-256 kontrolný súčet payloadu.

Responses